Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jersey.spi.inject
Interface InjectableProviderContext

All Known Implementing Classes:
  InjectableProviderFactory

    public interface InjectableProviderContext

The context to obtain `Injectable` instances.

Author:
  Paul.Sandoz@Sun.Com

Method Summary
`
`<A extends java.lang.annotation.Annotation,C> Injectable`
` | `getInjectable(java.lang.Class<? extends java.lang.annotation.Annotation> ac, ComponentContext ic, A a, C c, ComponentScope s)` Get an injectable.
`
`<A extends java.lang.annotation.Annotation,C> Injectable`
` | `getInjectable(java.lang.Class<? extends java.lang.annotation.Annotation> ac, ComponentContext ic, A a, C c, java.util.List<ComponentScope> s)` Get an injectable.

Method Detail

### getInjectable

    <A extends java.lang.annotation.Annotation,C> Injectable getInjectable(java.lang.Class<? extends java.lang.annotation.Annotation> ac,
                                                                           ComponentContext ic,
                                                                           A a,
                                                                           C c,
                                                                           ComponentScope s)

  Get an injectable.

  Type Parameters:
    `A` - the type of the annotation.
    `C` - the the context type. Types of the `Type` and `Parameter` are the only types that are supported.
  Parameters:
    `ac` - the annotation class.
    `ic` - the injectable context.
    `a` - the annotation instance.
    `c` - the context type.
    `s` - the scope.
  Returns:
    the injectable, otherwise null if an injectable could not be found.

### getInjectable

    <A extends java.lang.annotation.Annotation,C> Injectable getInjectable(java.lang.Class<? extends java.lang.annotation.Annotation> ac,
                                                                           ComponentContext ic,
                                                                           A a,
                                                                           C c,
                                                                           java.util.List<ComponentScope> s)

  Get an injectable.

  Type Parameters:
    `A` - the type of the annotation.
    `C` - the the context type. Types of the `Type` and `Parameter` are the only types that are supported.
  Parameters:
    `ac` - the annotation class.
    `ic` - the injectable context.
    `a` - the annotation instance.
    `c` - the context type.
    `s` - the list of scope, ordered by preference.
  Returns:
    the injectable, otherwise null if an injectable could not be found.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.